VisualEditor: Deletion into a DL from a block slug breaks
Closed, ResolvedPublic

Description

Click after the line "Saptaitey Chiranjeevinaha[citation needed]" on https://en.wikipedia.org/wiki/Chiranjivi and BANG! And the text is gone.


Version: unspecified
Severity: major

bzimport set Reference to bz50076.
Ironholds created this task.Via LegacyJun 24 2013, 1:02 AM
Jdforrester-WMF added a comment.Via ConduitJul 7 2013, 2:10 AM

Yuck. Thrown error is:

Uncaught TypeError: Object #<VeCeDefinitionListNode> has no method 'getAnnotatedHtml'

Sounds like we didn't update the CE nodes for DLs.

Catrope added a comment.Via ConduitJul 10 2013, 11:43 PM

DefinitionListNode shouldn't have getAnnotatedHtml, it's not inside a content branch. Did we screw up the DM such that a definition list ended up inside a paragraph?

Catrope added a comment.Via ConduitJul 10 2013, 11:56 PM

I can't reproduce this any more, can anyone else?

Jdforrester-WMF added a comment.Via ConduitJul 11 2013, 12:32 AM

Yes; you need to backspace over the DL from the block slug underneath it to trigger.

Catrope added a comment.Via ConduitJul 12 2013, 7:43 PM

(In reply to comment #4)

Yes; you need to backspace over the DL from the block slug underneath it to
trigger.

Yeah, that breaks it. For some reason handleDelete() tries to process *two* transactions: one successfully removes the entire <dl>, and the second tries to reinsert part of it but in the middle of a paragraph, presumably because it computed the wrong offset somehow (failing to adjust for the first transaction, maybe)?

gerritbot added a comment.Via ConduitJul 16 2013, 11:55 AM

Change 73952 had a related patch set uploaded by Esanders:
Handle backspace correctly when in a root slug

https://gerrit.wikimedia.org/r/73952

gerritbot added a comment.Via ConduitJul 18 2013, 10:20 PM

Change 73952 merged by jenkins-bot:
Handle backspace correctly when in a slugs

https://gerrit.wikimedia.org/r/73952

Jdforrester-WMF added a comment.Via ConduitJul 18 2013, 10:21 PM

Fixed and will go out in an hour.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.